import { AlRoute } from '@al/core';
import { EventEmitter, OnChanges, Renderer2, SimpleChanges } from '@angular/core';
import { AlManageExperienceService } from '../../services/al-manage-experience.service';
import { AlNavigationService } from '../../services/al-navigation.service';
import * as i0 from "@angular/core";
export declare class AlArchipeligo19SidenavComponent implements OnChanges {
    protected alNavigation: AlNavigationService;
    protected alManageExperience: AlManageExperienceService;
    protected renderer: Renderer2;
    displayNav: boolean;
    menu: AlRoute;
    displayNavChange: EventEmitter<boolean>;
    onHide: EventEmitter<boolean>;
    documentEscapeListener: Function;
    constructor(alNavigation: AlNavigationService, alManageExperience: AlManageExperienceService, renderer: Renderer2);
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    dispatch(route: AlRoute, $event: MouseEvent, closeNav?: boolean): Window;
    dispatchParent(route: AlRoute, $event: MouseEvent): void;
    expandActivatedItems(): void;
    bindDocumentEscapeListener(): void;
    hideSideBar(): void;
    static ɵfac: i0.ɵɵFactoryDef<AlArchipeligo19SidenavComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlArchipeligo19SidenavComponent, "al-archipeligo19-sidenav", never, { "displayNav": "displayNav"; "menu": "menu"; }, { "displayNavChange": "displayNavChange"; "onHide": "onHide"; }, never, never>;
}
